orte/mca/errmgr/errmgr.h File Reference.TH "orte/mca/errmgr/errmgr.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/errmgr/errmgr.h \- The Open RTE Error Manager. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'mca/schema/schema.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_ERROR_NAME\fP(n)   opal_strerror(n)"
.br
.ti -1c
.RI "#define \fBORTE_ERROR_LOG\fP(n)   orte_errmgr.log((n), __FILE__, __LINE__)"
.br
.ti -1c
.RI "#define \fBORTE_ERRMGR_BASE_VERSION_1_0_0\fP"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef void(* \fBorte_errmgr_base_module_log_fn_t\fP )(int error_code, char *filename, int line)"
.br
.RI "\fILog an error Log an error that occurred in the runtime environment, and call the 'error_detected' interface to see if further action is required. \fP"
.ti -1c
.RI "typedef void(* \fBorte_errmgr_base_module_proc_aborted_fn_t\fP )(orte_process_name_t *proc)"
.br
.RI "\fIAlert - process aborted This function is called when a remote process aborts during execution. \fP"
.ti -1c
.RI "typedef void(* \fBorte_errmgr_base_module_incomplete_start_fn_t\fP )(\fBorte_jobid_t\fP job)"
.br
.RI "\fIAlert - incomplete start of a job This function is called when an attempted launch of a job encounters failure of one or more processes to start. \fP"
.ti -1c
.RI "typedef void(* \fBorte_errmgr_base_module_error_detected_fn_t\fP )(int error_code)"
.br
.RI "\fIAlert - internal error detected This function is called when an internal error is detected within the local process. \fP"
.ti -1c
.RI "typedef int(* \fBorte_errmgr_base_module_register_job_fn_t\fP )(\fBorte_jobid_t\fP job)"
.br
.ti -1c
.RI "typedef void(* \fBorte_errmgr_base_module_abort_fn_t\fP )(void)"
.br
.RI "\fIAlert - self aborting This function is called when a process is aborting. \fP"
.ti -1c
.RI "typedef orte_errmgr_base_module_1_0_0_t \fBorte_errmgr_base_module_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_errmgr_base_module_1_0_0_t \fBorte_errmgr_base_module_t\fP"
.br
.ti -1c
.RI "typedef orte_errmgr_base_module_t *(* \fBorte_errmgr_base_component_init_fn_t\fP )(bool *allow_multi_user_threads, bool *have_hidden_threads, int *priority)"
.br
.ti -1c
.RI "typedef int(* \fBorte_errmgr_base_component_finalize_fn_t\fP )(void)"
.br
.ti -1c
.RI "typedef mca_errmgr_base_component_1_0_0_t \fBmca_errmgr_base_component_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef mca_errmgr_base_component_1_0_0_t \fBmca_errmgr_base_component_t\fP"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC orte_errmgr_base_module_t \fBorte_errmgr\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open RTE Error Manager. 


.SH "Define Documentation"
.PP 
.SS "#define ORTE_ERRMGR_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* ns v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* errmgr v1.0 */ \
  'errmgr', 1, 0, 0
.fi
.SH "Typedef Documentation"
.PP 
.SS "typedef void(* \fBorte_errmgr_base_module_abort_fn_t\fP)(void)"
.PP
Alert - self aborting This function is called when a process is aborting. 
.PP
The routine will kill any child processes and terminate the calling process. 
.SS "typedef void(* \fBorte_errmgr_base_module_error_detected_fn_t\fP)(int error_code)"
.PP
Alert - internal error detected This function is called when an internal error is detected within the local process. 
.PP
It decides what to do about the error - for now, it simply orders the local process to finalize and terminate. 
.SS "typedef void(* \fBorte_errmgr_base_module_incomplete_start_fn_t\fP)(\fBorte_jobid_t\fP job)"
.PP
Alert - incomplete start of a job This function is called when an attempted launch of a job encounters failure of one or more processes to start. 
.PP
The function decides on the strategy for dealing with this 'incomplete start' situation - for now, it simply orders the resource manager to terminate the entire job.
.PP
This function is only called by the respective process launcher, which is responsible for detecting incomplete starts. 
.SS "typedef void(* \fBorte_errmgr_base_module_log_fn_t\fP)(int error_code, char *filename, int line)"
.PP
Log an error Log an error that occurred in the runtime environment, and call the 'error_detected' interface to see if further action is required. 
.PP
.PP
.nf
 orte_errmgr.log('this is an error', __FILE__, __LINE__);
.fi
.PP
 
.SS "typedef void(* \fBorte_errmgr_base_module_proc_aborted_fn_t\fP)(orte_process_name_t *proc)"
.PP
Alert - process aborted This function is called when a remote process aborts during execution. 
.PP
Note that local process errors should always be reported through the error_detected interface and NOT here. The function is called when a message is received from the universe daemon indicating that another process in the job failed. For now, this function will simply cause the local process to gracefully finalize and terminate. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
